Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.eclipse.amp.amf.testing.ares
Enum Issue

    java.lang.Object
      java.lang.Enum<Issue>
          org.eclipse.amp.amf.testing.ares.Issue

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Issue>, org.eclipse.emf.common.util.Enumerator

    public enum Issue

extends java.lang.Enum<Issue>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Issue', and utility methods for working with them.

See Also:
  `AresPackage.getIssue()`

Enum Constant Summary
`ABOVE_RANGE` The 'Above Range' literal object.
`BELOW_RANGE` The 'Below Range' literal object.
`NONE` The 'None' literal object.
`NOT_FOUND` The 'Not Found' literal object.

Field Summary
`static int` | `ABOVE_RANGE_VALUE` The 'Above Range' literal value.
`static int` | `BELOW_RANGE_VALUE` The 'Below Range' literal value.
`static int` | `NONE_VALUE` The 'None' literal value.
`static int` | `NOT_FOUND_VALUE` The 'Not Found' literal value.
`static java.util.List<Issue>` | `VALUES` A public read-only list of all the 'Issue' enumerators.

Method Summary
`static Issue` | `get(int value)` Returns the 'Issue' literal with the specified integer value.
`static Issue` | `get(java.lang.String literal)` Returns the 'Issue' literal with the specified literal value.
`static Issue` | `getByName(java.lang.String name)` Returns the 'Issue' literal with the specified name.
`java.lang.String` | `getLiteral()`
`java.lang.String` | `getName()`
`int` | `getValue()`
`java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation.
`static Issue` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Issue[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BELOW_RANGE

    public static final Issue BELOW_RANGE

  The 'Below Range' literal object.

  See Also:
    `BELOW_RANGE_VALUE`

### ABOVE_RANGE

    public static final Issue ABOVE_RANGE

  The 'Above Range' literal object.

  See Also:
    `ABOVE_RANGE_VALUE`

### NONE

    public static final Issue NONE

  The 'None' literal object.

  See Also:
    `NONE_VALUE`

### NOT_FOUND

    public static final Issue NOT_FOUND

  The 'Not Found' literal object.

  See Also:
    `NOT_FOUND_VALUE`

Field Detail

### BELOW_RANGE_VALUE

    public static final int BELOW_RANGE_VALUE

  The 'Below Range' literal value.

  If the meaning of 'Below Range' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BELOW_RANGE`, Constant Field Values

### ABOVE_RANGE_VALUE

    public static final int ABOVE_RANGE_VALUE

  The 'Above Range' literal value.

  If the meaning of 'Above Range' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ABOVE_RANGE`, Constant Field Values

### NONE_VALUE

    public static final int NONE_VALUE

  The 'None' literal value.

  If the meaning of 'None' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NONE`, Constant Field Values

### NOT_FOUND_VALUE

    public static final int NOT_FOUND_VALUE

  The 'Not Found' literal value.

  If the meaning of 'Not Found' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NOT_FOUND`, Constant Field Values

### VALUES

    public static final java.util.List<Issue> VALUES

  A public read-only list of all the 'Issue' enumerators.

Method Detail

### values

    public static Issue[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Issue c : Issue.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Issue valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### get

    public static Issue get(java.lang.String literal)

  Returns the 'Issue' literal with the specified literal value.

### getByName

    public static Issue getByName(java.lang.String name)

  Returns the 'Issue' literal with the specified name.

### get

    public static Issue get(int value)

  Returns the 'Issue' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<Issue>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD